libgphoto2 photo camera library (libgphoto2) API 2.5.29

Data Fields
_GPPortPrivateCore Struct Reference

Internal private libgphoto2_port data. This structure contains private data. More...

## Data Fields
char | error [2048]
struct _GPPortInfo | info
GPPortOperations * | ops
lt_dlhandle | lh

## Detailed Description

Internal private libgphoto2_port data. This structure contains private data.

## Field Documentation

## ◆ error

char _GPPortPrivateCore::error[2048]

Internal kept error message.

Referenced by gp_port_get_error(), and gp_port_set_error().

## ◆ info

struct _GPPortInfo _GPPortPrivateCore::info

Internal port information of this port.

Referenced by gp_port_get_info().

## ◆ lh

lt_dlhandle _GPPortPrivateCore::lh

Internal libtool library handle.

## ◆ ops

GPPortOperations* _GPPortPrivateCore::ops

Internal port operations.

Referenced by gp_port_free().

The documentation for this struct was generated from the following file:

- libgphoto2_port/libgphoto2_port/gphoto2-port.c